MDB_LOAD(1)

NAME
mdb_load - LMDB environment import tool

SYNOPSIS
mdb_load envpath [-V] [-f file] [-n] [-s subdb] [-N] [-T]

DESCRIPTION
The mdb_load utility reads from the standard input and loads it into the LMDB environment envpath. The input to mdb_load must be in the output format specified by the mdb_dump(1) utility or as specified by the -T option below.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-f file
    Read from the specified file instead of from the standard input.

-n  Load an LMDB database which does not use subdirectories.

-s subdb
    Load a specific subdatabase. If no database is specified, data is loaded into the main database.

-N  Don't overwrite existing records when loading into an already existing database; just skip them.

-T  Load data from simple text files. The input must be paired lines of text, where the first line of the pair is the key item, and the second line of the pair is its corresponding data item. A simple escape mechanism, where newline and backslash (\) characters are special, is applied to the text input. Newline characters are interpreted as record separators. Backslash characters in the text will be interpreted in one of two ways: If the backslash character precedes another backslash character, the pair will be interpreted as a literal backslash. If the backslash character precedes any other character, the two characters following the backslash will be interpreted as a hexadecimal specification of a single character; for example, \0a is a newline character in the ASCII character set. For this reason, any backslash or newline characters that naturally occur in the text input must be escaped to avoid misinterpretation by mdb_load.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

SEE ALSO
mdb_dump(1)

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>